using namespace Fiddler;
#pragma once
typedef void (WINAPI *CallbackFun)(unsigned int, unsigned int adder);
extern "C" _declspec(dllexport) int __stdcall InitFiddler(int port, int callback);
extern "C" _declspec(dllexport) void __stdcall CloseFiddler();
extern "C" _declspec(dllexport) void __stdcall AutoStartFiddlerProxy(bool start);
extern "C" _declspec(dllexport) void __stdcall StartSSL(bool start);
extern "C" _declspec(dllexport) void __stdcall SetBase64(int* url);
extern "C" _declspec(dllexport) int __stdcall CreateRootCert();
extern "C" _declspec(dllexport) int __stdcall InstCert();
extern "C" _declspec(dllexport) bool __stdcall rootCertIsTrusted();
extern "C" _declspec(dllexport) bool __stdcall rootCertIsMachineTrusted();
extern "C" _declspec(dllexport) bool __stdcall rootCertExists();
extern "C" _declspec(dllexport) bool __stdcall removeCerts();
extern "C" _declspec(dllexport) char* __stdcall sslGetCert();
extern "C" _declspec(dllexport) char* __stdcall sslGetKey();
extern "C" _declspec(dllexport) void __stdcall sslSetCert(char *);
extern "C" _declspec(dllexport) void __stdcall sslSetKey(char *);
extern "C" _declspec(dllexport) void __stdcall SetUpstreamGatewayTo(char *);
extern "C" _declspec(dllexport) void __stdcall UpdateConfig(int);
extern "C" _declspec(dllexport) void __stdcall customCertificate(char*);
//extern "C" _declspec(dllexport) void  __stdcall RecvRepeatHtml(unsigned int, char *,char*);


